Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core.sqlnode
Interface SqlTransform

All Known Implementing Classes:
  SqlTransformCopy

    public interface SqlTransform

Method Summary
`SqlNode` | `transform(SqlCoalesce sqlCoalesce, SqlNode subNode)`
`SqlNode` | `transform(SqlJoinInner sqlJoinInner, SqlNode left, SqlNode right)`
`SqlNode` | `transform(SqlJoinLeftOuter sqlJoinLeftOuter, SqlNode left, SqlNode right)`
`SqlNode` | `transform(SqlProject sqlProject, SqlNode subNode)`
`SqlNode` | `transform(com.hp.hpl.jena.sdb.core.sqlnode.SqlRename sqlRename, SqlNode subNode)`
`SqlNode` | `transform(SqlRestrict sqlRestrict, SqlNode subNode)`
`SqlNode` | `transform(SqlSelectBlock sqlSelectBlock, SqlNode newSubNode)`
`SqlNode` | `transform(SqlTable sqlTable)`
`SqlNode` | `transform(SqlUnion sqlUnion, SqlNode left, SqlNode right)`

Method Detail

### transform

    SqlNode transform(SqlProject sqlProject,
                      SqlNode subNode)

### transform

    SqlNode transform(SqlRestrict sqlRestrict,
                      SqlNode subNode)

### transform

    SqlNode transform(com.hp.hpl.jena.sdb.core.sqlnode.SqlRename sqlRename,
                      SqlNode subNode)

### transform

    SqlNode transform(SqlSelectBlock sqlSelectBlock,
                      SqlNode newSubNode)

### transform

    SqlNode transform(SqlCoalesce sqlCoalesce,
                      SqlNode subNode)

### transform

    SqlNode transform(SqlJoinInner sqlJoinInner,
                      SqlNode left,
                      SqlNode right)

### transform

    SqlNode transform(SqlJoinLeftOuter sqlJoinLeftOuter,
                      SqlNode left,
                      SqlNode right)

### transform

    SqlNode transform(SqlUnion sqlUnion,
                      SqlNode left,
                      SqlNode right)

### transform

    SqlNode transform(SqlTable sqlTable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.